/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __CGROUP_SKB_SK_LOOKUP_KERN_SKEL_H__
#define __CGROUP_SKB_SK_LOOKUP_KERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct cgroup_skb_sk_lookup_kern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *ingress_lookup;
	} progs;
	struct {
		struct bpf_link *ingress_lookup;
	} links;
	struct cgroup_skb_sk_lookup_kern__bss {
		__u16 g_serv_port;
	} *bss;
};

static void
cgroup_skb_sk_lookup_kern__destroy(struct cgroup_skb_sk_lookup_kern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cgroup_skb_sk_lookup_kern__create_skeleton(struct cgroup_skb_sk_lookup_kern *obj);

static inline struct cgroup_skb_sk_lookup_kern *
cgroup_skb_sk_lookup_kern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cgroup_skb_sk_lookup_kern *obj;
	int err;

	obj = (struct cgroup_skb_sk_lookup_kern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cgroup_skb_sk_lookup_kern__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cgroup_skb_sk_lookup_kern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cgroup_skb_sk_lookup_kern *
cgroup_skb_sk_lookup_kern__open(void)
{
	return cgroup_skb_sk_lookup_kern__open_opts(NULL);
}

static inline int
cgroup_skb_sk_lookup_kern__load(struct cgroup_skb_sk_lookup_kern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cgroup_skb_sk_lookup_kern *
cgroup_skb_sk_lookup_kern__open_and_load(void)
{
	struct cgroup_skb_sk_lookup_kern *obj;
	int err;

	obj = cgroup_skb_sk_lookup_kern__open();
	if (!obj)
		return NULL;
	err = cgroup_skb_sk_lookup_kern__load(obj);
	if (err) {
		cgroup_skb_sk_lookup_kern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cgroup_skb_sk_lookup_kern__attach(struct cgroup_skb_sk_lookup_kern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cgroup_skb_sk_lookup_kern__detach(struct cgroup_skb_sk_lookup_kern *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
cgroup_skb_sk_lookup_kern__create_skeleton(struct cgroup_skb_sk_lookup_kern *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "cgroup_skb_sk_lookup_kern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "cgroup_s.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "ingress_lookup";
	s->progs[0].prog = &obj->progs.ingress_lookup;
	s->progs[0].link = &obj->links.ingress_lookup;

	s->data_sz = 6312;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\
\x73\x73\0\x76\x65\x72\x73\x69\x6f\x6e\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\
\x73\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x5f\x73\x6b\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x6b\x65\x72\x6e\x2e\x63\0\x4c\x42\x42\x30\x5f\x37\0\x69\x73\
\x5f\x61\x6c\x6c\x6f\x77\x65\x64\x5f\x70\x65\x65\x72\x5f\x63\x67\0\x4c\x42\x42\
\x31\x5f\x36\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x6c\x6f\x6f\x6b\x75\x70\0\x67\
\x5f\x73\x65\x72\x76\x5f\x70\x6f\x72\x74\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\
\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5b\0\0\0\0\0\x04\0\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x02\0\x03\0\
\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x75\0\0\0\0\0\x03\0\xb8\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7c\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x8b\0\
\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x97\0\0\0\x11\0\x05\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xbf\x17\0\0\0\0\0\0\x61\x21\x18\0\0\0\0\0\x63\x1a\xd8\xff\0\0\0\0\x61\
\x21\x1c\0\0\0\0\0\x63\x1a\xdc\xff\0\0\0\0\x61\x21\x20\0\0\0\0\0\x63\x1a\xe0\
\xff\0\0\0\0\x61\x21\x24\0\0\0\0\0\x63\x1a\xe4\xff\0\0\0\0\x61\x21\x08\0\0\0\0\
\0\x63\x1a\xe8\xff\0\0\0\0\x61\x21\x0c\0\0\0\0\0\x63\x1a\xec\xff\0\0\0\0\x61\
\x21\x10\0\0\0\0\0\x63\x1a\xf0\xff\0\0\0\0\x61\x21\x14\0\0\0\0\0\x63\x1a\xf4\
\xff\0\0\0\0\x69\x31\x02\0\0\0\0\0\x6b\x1a\xf8\xff\0\0\0\0\x69\x31\0\0\0\0\0\0\
\x6b\x1a\xfa\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xd8\xff\xff\xff\xbf\
\x71\0\0\0\0\0\0\xb4\x03\0\0\x24\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\
\0\0\0\0\x85\0\0\0\x54\0\0\0\xbf\x08\0\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\x15\x08\
\x18\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\x4f\0\0\0\xbf\x09\0\0\0\0\0\0\xbf\
\x81\0\0\0\0\0\0\x85\0\0\0\x80\0\0\0\x7b\x0a\xd0\xff\0\0\0\0\xbf\x71\0\0\0\0\0\
\0\xb4\x02\0\0\x02\0\0\0\x85\0\0\0\x53\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x81\0\0\0\
\0\0\0\xb4\x02\0\0\x02\0\0\0\x85\0\0\0\x81\0\0\0\x7b\x0a\xc8\xff\0\0\0\0\xbf\
\x81\0\0\0\0\0\0\x85\0\0\0\x56\0\0\0\x15\x09\x07\0\0\0\0\0\x79\xa1\xd0\xff\0\0\
\0\0\x5d\x19\x05\0\0\0\0\0\x15\x07\x04\0\0\0\0\0\xb4\x06\0\0\x01\0\0\0\x79\xa1\
\xc8\xff\0\0\0\0\x1d\x17\x01\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x61\x61\x10\0\0\0\0\
\0\x56\x01\x23\0\x86\xdd\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xd8\xff\xff\xff\
\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\xb4\x04\0\0\x28\0\0\0\x85\0\0\0\x1a\0\
\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x55\x01\x1a\0\0\0\0\0\x71\xa1\xde\
\xff\0\0\0\0\xb4\0\0\0\x01\0\0\0\x56\x01\x17\0\x06\0\0\0\xbf\xa3\0\0\0\0\0\0\
\x07\x03\0\0\xc0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x28\0\0\0\xb4\x04\
\0\0\x14\0\0\0\x85\0\0\0\x1a\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x55\
\x01\x0e\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\
\x11\0\0\0\0\0\0\x16\x01\x09\0\0\0\0\0\x69\xa2\xc2\xff\0\0\0\0\xb4\0\0\0\x01\0\
\0\0\x5e\x12\x06\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xd8\xff\xff\xff\xbf\
\xa3\0\0\0\0\0\0\x07\x03\0\0\xc0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x01\0\0\0\x47\x50\x4c\0\xd0\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\x30\x01\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\xe8\x05\0\0\xe8\x05\0\0\x48\x07\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\x01\0\0\0\x20\0\0\x04\xb8\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\
\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\
\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\
\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\
\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\
\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\
\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\
\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\
\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\
\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\
\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\
\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\
\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\
\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\0\0\0\x08\x04\0\0\0\x22\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\
\x2f\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\
\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x43\x01\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x2b\0\0\0\x4d\x01\0\0\0\0\0\x08\x0b\0\0\0\x53\x01\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x6a\x01\0\0\x0d\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\0\0\0\0\x01\0\0\x0d\x0f\0\0\0\x6d\x01\0\0\
\x01\0\0\0\x71\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x75\x01\0\0\x01\0\0\x0c\
\x0e\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x0a\x13\0\0\0\x84\x01\0\0\
\x08\0\0\x84\x28\0\0\0\x55\0\0\0\x14\0\0\0\0\0\0\x04\x8c\x01\0\0\x14\0\0\0\x04\
\0\0\x04\x94\x01\0\0\x16\0\0\0\x08\0\0\0\x9d\x01\0\0\x17\0\0\0\x20\0\0\0\xa9\
\x01\0\0\x14\0\0\0\x30\0\0\0\xb1\x01\0\0\x14\0\0\0\x38\0\0\0\xbb\x01\0\0\x1a\0\
\0\0\x40\0\0\0\xc1\x01\0\0\x1a\0\0\0\xc0\0\0\0\xc7\x01\0\0\0\0\0\x08\x15\0\0\0\
\xcc\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\
\x06\0\0\0\x03\0\0\0\xda\x01\0\0\0\0\0\x08\x18\0\0\0\xe1\x01\0\0\0\0\0\x08\x19\
\0\0\0\xe7\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xf6\x01\0\0\x01\0\0\x04\x10\0\
\0\0\xff\x01\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\x05\x02\0\0\
\x1c\0\0\0\0\0\0\0\x0e\x02\0\0\x1d\0\0\0\0\0\0\0\x18\x02\0\0\x1f\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\x06\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x17\0\0\0\x06\0\0\0\x08\0\0\0\x22\x02\0\0\0\0\0\x08\x03\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x1e\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x21\0\0\0\0\0\0\
\0\0\0\0\x0a\x22\0\0\0\x29\x02\0\0\x11\0\0\x84\x14\0\0\0\x30\x02\0\0\x17\0\0\0\
\0\0\0\0\x37\x02\0\0\x17\0\0\0\x10\0\0\0\x3c\x02\0\0\x1e\0\0\0\x20\0\0\0\x40\
\x02\0\0\x1e\0\0\0\x40\0\0\0\x48\x02\0\0\x18\0\0\0\x60\0\0\x04\x4d\x02\0\0\x18\
\0\0\0\x64\0\0\x04\x52\x02\0\0\x18\0\0\0\x68\0\0\x01\x56\x02\0\0\x18\0\0\0\x69\
\0\0\x01\x5a\x02\0\0\x18\0\0\0\x6a\0\0\x01\x5e\x02\0\0\x18\0\0\0\x6b\0\0\x01\
\x62\x02\0\0\x18\0\0\0\x6c\0\0\x01\x66\x02\0\0\x18\0\0\0\x6d\0\0\x01\x6a\x02\0\
\0\x18\0\0\0\x6e\0\0\x01\x6e\x02\0\0\x18\0\0\0\x6f\0\0\x01\x72\x02\0\0\x17\0\0\
\0\x70\0\0\0\x79\x02\0\0\x23\0\0\0\x80\0\0\0\x7f\x02\0\0\x17\0\0\0\x90\0\0\0\
\x87\x02\0\0\0\0\0\x08\x18\0\0\0\0\0\0\0\x03\0\0\x0d\x0f\0\0\0\x6d\x01\0\0\x01\
\0\0\0\x8f\x02\0\0\x11\0\0\0\x94\x02\0\0\x20\0\0\0\x99\x02\0\0\0\0\0\x0c\x24\0\
\0\0\xac\x02\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xb5\x02\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x06\0\0\0\x04\0\0\0\xba\x02\0\
\0\0\0\0\x0e\x28\0\0\0\x01\0\0\0\xc3\x02\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\xcf\
\x02\0\0\0\0\0\x07\0\0\0\0\xdd\x02\0\0\0\0\0\x07\0\0\0\0\x8c\x01\0\0\x01\0\0\
\x0f\x04\0\0\0\x26\0\0\0\0\0\0\0\x04\0\0\0\x22\x07\0\0\x01\0\0\x0f\x04\0\0\0\
\x29\0\0\0\0\0\0\0\x04\0\0\0\x2a\x07\0\0\x01\0\0\x0f\x02\0\0\0\x2a\0\0\0\0\0\0\
\0\x02\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\
\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\
\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\
\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\
\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\
\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\
\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\
\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\
\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\
\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\
\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x73\x6b\0\x73\x6b\x62\0\x69\x6e\x74\0\x69\x6e\x67\x72\x65\x73\x73\x5f\
\x6c\x6f\x6f\x6b\x75\x70\0\x69\x70\x76\x36\x68\x64\x72\0\x76\x65\x72\x73\x69\
\x6f\x6e\0\x66\x6c\x6f\x77\x5f\x6c\x62\x6c\0\x70\x61\x79\x6c\x6f\x61\x64\x5f\
\x6c\x65\x6e\0\x6e\x65\x78\x74\x68\x64\x72\0\x68\x6f\x70\x5f\x6c\x69\x6d\x69\
\x74\0\x73\x61\x64\x64\x72\0\x64\x61\x64\x64\x72\0\x5f\x5f\x75\x38\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x62\x65\x31\x36\0\x5f\
\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\
\x69\x6e\x36\x5f\x61\x64\x64\x72\0\x69\x6e\x36\x5f\x75\0\x75\x36\x5f\x61\x64\
\x64\x72\x38\0\x75\x36\x5f\x61\x64\x64\x72\x31\x36\0\x75\x36\x5f\x61\x64\x64\
\x72\x33\x32\0\x5f\x5f\x62\x65\x33\x32\0\x74\x63\x70\x68\x64\x72\0\x73\x6f\x75\
\x72\x63\x65\0\x64\x65\x73\x74\0\x73\x65\x71\0\x61\x63\x6b\x5f\x73\x65\x71\0\
\x72\x65\x73\x31\0\x64\x6f\x66\x66\0\x66\x69\x6e\0\x73\x79\x6e\0\x72\x73\x74\0\
\x70\x73\x68\0\x61\x63\x6b\0\x75\x72\x67\0\x65\x63\x65\0\x63\x77\x72\0\x77\x69\
\x6e\x64\x6f\x77\0\x63\x68\x65\x63\x6b\0\x75\x72\x67\x5f\x70\x74\x72\0\x5f\x5f\
\x73\x75\x6d\x31\x36\0\x69\x70\x36\x68\0\x74\x63\x70\x68\0\x69\x73\x5f\x61\x6c\
\x6c\x6f\x77\x65\x64\x5f\x70\x65\x65\x72\x5f\x63\x67\0\x5f\x76\x65\x72\x73\x69\
\x6f\x6e\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x67\x5f\x73\x65\
\x72\x76\x5f\x70\x6f\x72\x74\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x37\x30\x2e\x32\x32\x2e\x31\x2e\x65\x6c\x39\
\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x37\x30\x2e\
\x32\x32\x2e\x31\x2e\x65\x6c\x39\x5f\x30\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x67\x72\x6f\x75\
\x70\x5f\x73\x6b\x62\x5f\x73\x6b\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x6b\x65\x72\
\x6e\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\
\x74\x20\x69\x73\x5f\x61\x6c\x6c\x6f\x77\x65\x64\x5f\x70\x65\x65\x72\x5f\x63\
\x67\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\
\x2a\x73\x6b\x62\x2c\0\x09\x64\x73\x74\x5b\x30\x5d\x20\x3d\x20\x73\x72\x63\x2d\
\x3e\x69\x6e\x36\x5f\x75\x2e\x75\x36\x5f\x61\x64\x64\x72\x33\x32\x5b\x30\x5d\
\x3b\0\x09\x64\x73\x74\x5b\x31\x5d\x20\x3d\x20\x73\x72\x63\x2d\x3e\x69\x6e\x36\
\x5f\x75\x2e\x75\x36\x5f\x61\x64\x64\x72\x33\x32\x5b\x31\x5d\x3b\0\x09\x64\x73\
\x74\x5b\x32\x5d\x20\x3d\x20\x73\x72\x63\x2d\x3e\x69\x6e\x36\x5f\x75\x2e\x75\
\x36\x5f\x61\x64\x64\x72\x33\x32\x5b\x32\x5d\x3b\0\x09\x64\x73\x74\x5b\x33\x5d\
\x20\x3d\x20\x73\x72\x63\x2d\x3e\x69\x6e\x36\x5f\x75\x2e\x75\x36\x5f\x61\x64\
\x64\x72\x33\x32\x5b\x33\x5d\x3b\0\x09\x74\x75\x70\x6c\x65\x2d\x3e\x69\x70\x76\
\x36\x2e\x73\x70\x6f\x72\x74\x20\x3d\x20\x74\x63\x70\x68\x2d\x3e\x64\x65\x73\
\x74\x3b\0\x09\x74\x75\x70\x6c\x65\x2d\x3e\x69\x70\x76\x36\x2e\x64\x70\x6f\x72\
\x74\x20\x3d\x20\x74\x63\x70\x68\x2d\x3e\x73\x6f\x75\x72\x63\x65\x3b\0\x09\x70\
\x65\x65\x72\x5f\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x74\x63\x70\x28\x73\x6b\x62\x2c\x20\x26\x74\x75\x70\x6c\x65\
\x2c\x20\x74\x75\x70\x6c\x65\x5f\x6c\x65\x6e\x2c\0\x09\x69\x66\x20\x28\x21\x70\
\x65\x65\x72\x5f\x73\x6b\x29\0\x09\x63\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\
\x73\x6b\x62\x5f\x63\x67\x72\x6f\x75\x70\x5f\x69\x64\x28\x73\x6b\x62\x29\x3b\0\
\x09\x70\x65\x65\x72\x5f\x63\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\
\x5f\x63\x67\x72\x6f\x75\x70\x5f\x69\x64\x28\x70\x65\x65\x72\x5f\x73\x6b\x29\
\x3b\0\x09\x61\x63\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x62\x5f\x61\
\x6e\x63\x65\x73\x74\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x69\x64\x28\x73\
\x6b\x62\x2c\x20\x32\x29\x3b\0\x09\x70\x65\x65\x72\x5f\x61\x63\x67\x69\x64\x20\
\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x61\x6e\x63\x65\x73\x74\x6f\x72\x5f\x63\
\x67\x72\x6f\x75\x70\x5f\x69\x64\x28\x70\x65\x65\x72\x5f\x73\x6b\x2c\x20\x32\
\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x70\
\x65\x65\x72\x5f\x73\x6b\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x67\x69\
\x64\x20\x26\x26\x20\x63\x67\x69\x64\x20\x3d\x3d\x20\x70\x65\x65\x72\x5f\x63\
\x67\x69\x64\x20\x26\x26\x20\x61\x63\x67\x69\x64\x20\x26\x26\x20\x61\x63\x67\
\x69\x64\x20\x3d\x3d\x20\x70\x65\x65\x72\x5f\x61\x63\x67\x69\x64\x3b\0\x7d\0\
\x69\x6e\x74\x20\x69\x6e\x67\x72\x65\x73\x73\x5f\x6c\x6f\x6f\x6b\x75\x70\x28\
\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\
\x6b\x62\x29\0\x09\x69\x66\x20\x28\x73\x6b\x62\x2d\x3e\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\
\x5f\x50\x5f\x49\x50\x56\x36\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\
\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\
\x30\x2c\x20\x26\x69\x70\x36\x68\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x70\
\x36\x68\x29\x29\x29\0\x09\x69\x66\x20\x28\x69\x70\x36\x68\x2e\x6e\x65\x78\x74\
\x68\x64\x72\x20\x21\x3d\x20\x49\x50\x50\x52\x4f\x54\x4f\x5f\x54\x43\x50\x29\0\
\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\
\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x70\
\x36\x68\x29\x2c\x20\x26\x74\x63\x70\x68\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x74\x63\x70\x68\x29\x29\x29\0\x09\x69\x66\x20\x28\x21\x67\x5f\x73\x65\x72\x76\
\x5f\x70\x6f\x72\x74\x29\0\x09\x69\x66\x20\x28\x74\x63\x70\x68\x2e\x64\x65\x73\
\x74\x20\x21\x3d\x20\x67\x5f\x73\x65\x72\x76\x5f\x70\x6f\x72\x74\x29\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x69\x73\x5f\x61\x6c\x6c\x6f\x77\x65\x64\x5f\x70\x65\
\x65\x72\x5f\x63\x67\x28\x73\x6b\x62\x2c\x20\x26\x69\x70\x36\x68\x2c\x20\x26\
\x74\x63\x70\x68\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x74\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\
\x65\x73\x73\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x14\x03\0\0\
\x38\x03\0\0\0\0\0\0\x08\0\0\0\x2f\x07\0\0\x01\0\0\0\0\0\0\0\x25\0\0\0\x35\x07\
\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x10\0\0\0\x2f\x07\0\0\x21\0\0\0\0\0\0\0\xe6\
\x02\0\0\x78\x03\0\0\0\xa0\0\0\x08\0\0\0\xe6\x02\0\0\xb4\x03\0\0\x0b\x60\0\0\
\x10\0\0\0\xe6\x02\0\0\xb4\x03\0\0\x09\x60\0\0\x18\0\0\0\xe6\x02\0\0\xd7\x03\0\
\0\x0b\x64\0\0\x20\0\0\0\xe6\x02\0\0\xd7\x03\0\0\x09\x64\0\0\x28\0\0\0\xe6\x02\
\0\0\xfa\x03\0\0\x0b\x68\0\0\x30\0\0\0\xe6\x02\0\0\xfa\x03\0\0\x09\x68\0\0\x38\
\0\0\0\xe6\x02\0\0\x1d\x04\0\0\x0b\x6c\0\0\x40\0\0\0\xe6\x02\0\0\x1d\x04\0\0\
\x09\x6c\0\0\x48\0\0\0\xe6\x02\0\0\xb4\x03\0\0\x0b\x60\0\0\x50\0\0\0\xe6\x02\0\
\0\xb4\x03\0\0\x09\x60\0\0\x58\0\0\0\xe6\x02\0\0\xd7\x03\0\0\x0b\x64\0\0\x60\0\
\0\0\xe6\x02\0\0\xd7\x03\0\0\x09\x64\0\0\x68\0\0\0\xe6\x02\0\0\xfa\x03\0\0\x0b\
\x68\0\0\x70\0\0\0\xe6\x02\0\0\xfa\x03\0\0\x09\x68\0\0\x78\0\0\0\xe6\x02\0\0\
\x1d\x04\0\0\x0b\x6c\0\0\x80\0\0\0\xe6\x02\0\0\x1d\x04\0\0\x09\x6c\0\0\x88\0\0\
\0\xe6\x02\0\0\x40\x04\0\0\x1c\x90\0\0\x90\0\0\0\xe6\x02\0\0\x40\x04\0\0\x14\
\x90\0\0\x98\0\0\0\xe6\x02\0\0\x61\x04\0\0\x1c\x94\0\0\xa0\0\0\0\xe6\x02\0\0\
\x61\x04\0\0\x14\x94\0\0\xb0\0\0\0\xe6\x02\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\xe6\
\x02\0\0\x84\x04\0\0\x0c\xcc\0\0\xf0\0\0\0\xe6\x02\0\0\xb9\x04\0\0\x06\xd4\0\0\
\xf8\0\0\0\xe6\x02\0\0\xc8\x04\0\0\x09\xe0\0\0\x10\x01\0\0\xe6\x02\0\0\xe8\x04\
\0\0\x0e\xe4\0\0\x28\x01\0\0\xe6\x02\0\0\x10\x05\0\0\x0a\xec\0\0\x48\x01\0\0\
\xe6\x02\0\0\x3d\x05\0\0\x0f\xf0\0\0\x68\x01\0\0\xe6\x02\0\0\x72\x05\0\0\x02\
\xf8\0\0\x78\x01\0\0\xe6\x02\0\0\x8c\x05\0\0\x0e\0\x01\0\x80\x01\0\0\xe6\x02\0\
\0\x8c\x05\0\0\x23\0\x01\0\xa0\x01\0\0\xe6\x02\0\0\x8c\x05\0\0\x35\0\x01\0\xb8\
\x01\0\0\xe6\x02\0\0\xcf\x05\0\0\x01\x04\x01\0\x35\x07\0\0\x0f\0\0\0\0\0\0\0\
\xe6\x02\0\0\xd1\x05\0\0\0\x10\x01\0\x10\0\0\0\xe6\x02\0\0\xfb\x05\0\0\x0b\x28\
\x01\0\x18\0\0\0\xe6\x02\0\0\xfb\x05\0\0\x06\x28\x01\0\x28\0\0\0\xe6\x02\0\0\
\x28\x06\0\0\x06\x44\x01\0\x60\0\0\0\xe6\x02\0\0\x28\x06\0\0\x06\x44\x01\0\x68\
\0\0\0\xe6\x02\0\0\x5e\x06\0\0\x0b\x50\x01\0\x78\0\0\0\xe6\x02\0\0\x5e\x06\0\0\
\x06\x50\x01\0\x88\0\0\0\xe6\x02\0\0\x80\x06\0\0\x06\x5c\x01\0\xc0\0\0\0\xe6\
\x02\0\0\x80\x06\0\0\x06\x5c\x01\0\xd0\0\0\0\xe6\x02\0\0\xc1\x06\0\0\x07\x68\
\x01\0\xe8\0\0\0\xe6\x02\0\0\xc1\x06\0\0\x06\x68\x01\0\xf0\0\0\0\xe6\x02\0\0\
\xd4\x06\0\0\x0b\x74\x01\0\0\x01\0\0\xe6\x02\0\0\xd4\x06\0\0\x06\x74\x01\0\x10\
\x01\0\0\xe6\x02\0\0\xf3\x06\0\0\x09\x80\x01\0\x38\x01\0\0\xe6\x02\0\0\xcf\x05\
\0\0\x01\x84\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xce\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xe0\x03\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x32\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x05\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\
\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x48\x05\0\0\0\0\0\0\x48\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x90\x12\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __CGROUP_SKB_SK_LOOKUP_KERN_SKEL_H__ */
