/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_KSYMS_SKEL_H__
#define __TEST_KSYMS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_ksyms {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *handler;
	} progs;
	struct {
		struct bpf_link *handler;
	} links;
	struct test_ksyms__data {
		__u64 out__bpf_link_fops;
		__u64 out__bpf_link_fops1;
		__u64 out__btf_size;
		__u64 out__per_cpu_start;
	} *data;
};

static void
test_ksyms__destroy(struct test_ksyms *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ksyms__create_skeleton(struct test_ksyms *obj);

static inline struct test_ksyms *
test_ksyms__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ksyms *obj;
	int err;

	obj = (struct test_ksyms *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_ksyms__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_ksyms__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_ksyms *
test_ksyms__open(void)
{
	return test_ksyms__open_opts(NULL);
}

static inline int
test_ksyms__load(struct test_ksyms *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ksyms *
test_ksyms__open_and_load(void)
{
	struct test_ksyms *obj;
	int err;

	obj = test_ksyms__open();
	if (!obj)
		return NULL;
	err = test_ksyms__load(obj);
	if (err) {
		test_ksyms__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_ksyms__attach(struct test_ksyms *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ksyms__detach(struct test_ksyms *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_ksyms__create_skeleton(struct test_ksyms *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_ksyms";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_ksy.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handler";
	s->progs[0].prog = &obj->progs.handler;
	s->progs[0].link = &obj->links.handler;

	s->data_sz = 2856;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x64\x61\x74\x61\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x6b\x73\x79\x6d\x73\x2e\
\x63\0\x68\x61\x6e\x64\x6c\x65\x72\0\x6f\x75\x74\x5f\x5f\x62\x70\x66\x5f\x6c\
\x69\x6e\x6b\x5f\x66\x6f\x70\x73\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\0\x6f\x75\x74\x5f\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x73\x74\x61\x72\
\x74\0\x5f\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x73\x74\x61\x72\x74\0\x6f\x75\
\x74\x5f\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\0\x62\x70\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\0\x5f\x5f\x73\x74\x61\x72\x74\
\x5f\x42\x54\x46\0\x5f\x5f\x73\x74\x6f\x70\x5f\x42\x54\x46\0\x6f\x75\x74\x5f\
\x5f\x62\x74\x66\x5f\x73\x69\x7a\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x45\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x58\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\
\x11\0\x04\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x79\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x11\0\x04\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x9d\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc3\0\0\0\x11\0\x04\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd1\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1f\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x10\0\0\
\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x38\0\0\0\
\0\0\0\0\x01\0\0\0\x07\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x60\0\0\0\0\
\0\0\0\x01\0\0\0\x09\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x88\0\0\0\0\0\
\0\0\x01\0\0\0\x0b\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xd8\x01\0\0\xd8\x01\0\0\x51\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\
\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x11\0\0\0\0\0\0\x08\x07\0\0\0\x17\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x2e\0\0\
\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x41\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x55\0\
\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x63\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x76\
\0\0\0\0\0\0\x0e\x02\0\0\0\x02\0\0\0\x84\0\0\0\0\0\0\x0e\x02\0\0\0\x02\0\0\0\
\x8f\0\0\0\0\0\0\x0e\x02\0\0\0\x02\0\0\0\x9b\0\0\0\0\0\0\x0e\x02\0\0\0\x02\0\0\
\0\xab\0\0\0\0\0\0\x0e\x02\0\0\0\x02\0\0\0\xba\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\x04\0\0\0\xbf\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\xd3\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x2b\x02\0\0\
\x04\0\0\x0f\x20\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\x09\0\0\0\x08\0\0\0\x08\0\0\
\0\x0a\0\0\0\x10\0\0\0\x08\0\0\0\x0b\0\0\0\x18\0\0\0\x08\0\0\0\x31\x02\0\0\x01\
\0\0\x0f\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\x39\x02\0\0\x05\0\0\x0f\0\0\0\0\
\x0c\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\0\0\0\0\x01\
\0\0\0\x0f\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\0\x63\x74\x78\0\
\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x72\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x6f\x75\x74\x5f\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\0\x6f\
\x75\x74\x5f\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\0\x6f\
\x75\x74\x5f\x5f\x62\x74\x66\x5f\x73\x69\x7a\x65\0\x6f\x75\x74\x5f\x5f\x70\x65\
\x72\x5f\x63\x70\x75\x5f\x73\x74\x61\x72\x74\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\
\x5f\x66\x6f\x70\x73\0\x5f\x5f\x73\x74\x6f\x70\x5f\x42\x54\x46\0\x5f\x5f\x73\
\x74\x61\x72\x74\x5f\x42\x54\x46\0\x5f\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x73\
\x74\x61\x72\x74\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x37\x30\x2e\x32\x32\x2e\x31\x2e\
\x65\x6c\x39\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x37\x30\x2e\x32\x32\x2e\x31\x2e\x65\x6c\x39\x5f\x30\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x6b\x73\x79\x6d\x73\x2e\x63\0\x09\x6f\x75\x74\x5f\x5f\x62\x70\x66\
\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\
\x29\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x3b\0\x09\x6f\x75\
\x74\x5f\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x73\x74\x61\x72\x74\x20\x3d\x20\
\x28\x5f\x5f\x75\x36\x34\x29\x26\x5f\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x73\
\x74\x61\x72\x74\x3b\0\x09\x6f\x75\x74\x5f\x5f\x62\x70\x66\x5f\x6c\x69\x6e\x6b\
\x5f\x66\x6f\x70\x73\x31\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\x3b\0\x09\x6f\x75\x74\x5f\x5f\
\x62\x74\x66\x5f\x73\x69\x7a\x65\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x28\
\x26\x5f\x5f\x73\x74\x6f\x70\x5f\x42\x54\x46\x20\x2d\x20\x26\x5f\x5f\x73\x74\
\x61\x72\x74\x5f\x42\x54\x46\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\
\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\
\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\0\0\0\x70\0\0\0\0\
\0\0\0\x08\0\0\0\x40\x02\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x40\x02\0\0\
\x05\0\0\0\0\0\0\0\xdc\0\0\0\x5f\x01\0\0\x15\x5c\0\0\x28\0\0\0\xdc\0\0\0\x8c\
\x01\0\0\x15\x64\0\0\x50\0\0\0\xdc\0\0\0\xbb\x01\0\0\x16\x6c\0\0\x78\0\0\0\xdc\
\0\0\0\xea\x01\0\0\x10\x60\0\0\xb8\0\0\0\xdc\0\0\0\x20\x02\0\0\x02\x74\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xfd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\x01\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\
\x02\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xda\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x03\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x02\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xef\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\x04\0\0\0\0\0\0\x41\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x58\x08\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_KSYMS_SKEL_H__ */
