/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_RETRO_SKEL_H__
#define __TEST_CORE_RETRO_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_retro {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *exp_tgid_map;
		struct bpf_map *results;
	} maps;
	struct {
		struct bpf_program *handle_sys_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_enter;
	} links;
};

static void
test_core_retro__destroy(struct test_core_retro *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_retro__create_skeleton(struct test_core_retro *obj);

static inline struct test_core_retro *
test_core_retro__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_retro *obj;
	int err;

	obj = (struct test_core_retro *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_core_retro__create_skeleton(obj);
	err = err ?: bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_core_retro__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_core_retro *
test_core_retro__open(void)
{
	return test_core_retro__open_opts(NULL);
}

static inline int
test_core_retro__load(struct test_core_retro *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_retro *
test_core_retro__open_and_load(void)
{
	struct test_core_retro *obj;
	int err;

	obj = test_core_retro__open();
	if (!obj)
		return NULL;
	err = test_core_retro__load(obj);
	if (err) {
		test_core_retro__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_core_retro__attach(struct test_core_retro *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_retro__detach(struct test_core_retro *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_retro__create_skeleton(struct test_core_retro *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_retro";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "exp_tgid_map";
	s->maps[0].map = &obj->maps.exp_tgid_map;

	s->maps[1].name = "results";
	s->maps[1].map = &obj->maps.results;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_sys_enter";
	s->progs[0].prog = &obj->progs.handle_sys_enter;
	s->progs[0].link = &obj->links.handle_sys_enter;

	s->data_sz = 2720;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\
\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\
\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x74\x72\x6f\x2e\x63\0\x4c\x42\x42\x30\
\x5f\x33\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x65\x78\x70\x5f\x74\x67\x69\x64\x5f\x6d\x61\x70\0\x72\x65\x73\x75\x6c\x74\x73\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\x61\x77\
\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\0\0\x03\0\
\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xf8\0\
\0\0\0\0\0\0\x63\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x70\0\0\0\
\x11\0\x04\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x78\0\0\0\x11\0\x05\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x23\0\0\0\xb7\x01\0\0\0\0\0\0\x0f\x10\0\0\
\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfc\xff\xff\xff\xb4\x02\0\0\x04\0\0\0\
\xbf\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xf8\xff\0\
\0\0\0\x85\0\0\0\x0e\0\0\0\xbf\x06\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\
\x0b\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x77\x06\0\0\x20\0\0\0\x5e\x61\x08\0\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\
\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\
\0\0\0\x02\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x05\
\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x88\x01\0\0\x88\x01\0\0\x6f\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\
\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\
\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\
\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x34\0\
\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x41\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x49\0\0\0\x0b\0\0\0\x4d\0\
\0\0\x01\0\0\x0c\x0c\0\0\0\x5e\0\0\0\x01\0\0\x04\x04\0\0\0\x6a\0\0\0\x02\0\0\0\
\0\0\0\0\x6f\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0f\0\0\0\x04\0\0\0\x04\0\0\0\x74\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x47\x02\
\0\0\x02\0\0\x0f\x40\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0a\0\0\0\x20\0\0\0\x20\
\0\0\0\x4d\x02\0\0\x01\0\0\x0f\x04\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\
\x79\0\x76\x61\x6c\x75\x65\0\x65\x78\x70\x5f\x74\x67\x69\x64\x5f\x6d\x61\x70\0\
\x72\x65\x73\x75\x6c\x74\x73\0\x63\x74\x78\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\
\0\x74\x67\x69\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x37\x30\x2e\
\x32\x32\x2e\x31\x2e\x65\x6c\x39\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x37\x30\x2e\x32\x32\x2e\x31\x2e\x65\x6c\x39\x5f\x30\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x74\x72\x6f\x2e\
\x63\0\x09\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\
\x74\x20\x2a\x74\x61\x73\x6b\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\
\x28\x29\x3b\0\x09\x69\x6e\x74\x20\x74\x67\x69\x64\x20\x3d\x20\x42\x50\x46\x5f\
\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x74\x61\x73\x6b\x2c\x20\x74\x67\x69\
\x64\x29\x3b\0\x09\x69\x6e\x74\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\
\x69\x6e\x74\x20\x72\x65\x61\x6c\x5f\x74\x67\x69\x64\x20\x3d\x20\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\
\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x6e\x74\x20\x2a\x65\x78\
\x70\x5f\x74\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x65\x78\x70\x5f\x74\x67\x69\x64\
\x5f\x6d\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\
\x65\x78\x70\x5f\x74\x67\x69\x64\x20\x7c\x7c\x20\x2a\x65\x78\x70\x5f\x74\x67\
\x69\x64\x20\x21\x3d\x20\x72\x65\x61\x6c\x5f\x74\x67\x69\x64\x29\0\x09\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\
\x72\x65\x73\x75\x6c\x74\x73\x2c\x20\x26\x7a\x65\x72\x6f\x2c\x20\x26\x74\x67\
\x69\x64\x2c\x20\x30\x29\x3b\0\x7d\0\x30\x3a\x30\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\0\xec\0\0\0\0\x01\0\0\x1c\0\0\0\x08\0\0\0\x55\x02\0\0\
\x01\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\0\x55\x02\0\0\x0e\0\0\0\0\0\0\0\x7d\0\0\0\
\x05\x01\0\0\x25\x70\0\0\x20\0\0\0\x7d\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x7d\0\0\
\0\x41\x01\0\0\x0d\x74\0\0\x48\0\0\0\x7d\0\0\0\x68\x01\0\0\x06\x78\0\0\x50\0\0\
\0\x7d\0\0\0\x77\x01\0\0\x12\x7c\0\0\x68\0\0\0\x7d\0\0\0\0\0\0\0\0\0\0\0\x70\0\
\0\0\x7d\0\0\0\xaa\x01\0\0\x12\x80\0\0\x88\0\0\0\x7d\0\0\0\xe6\x01\0\0\x10\x8c\
\0\0\x90\0\0\0\x7d\0\0\0\xe6\x01\0\0\x13\x8c\0\0\x98\0\0\0\x7d\0\0\0\x77\x01\0\
\0\x2d\x7c\0\0\xa0\0\0\0\x7d\0\0\0\xe6\x01\0\0\x06\x8c\0\0\xb0\0\0\0\x7d\0\0\0\
\0\0\0\0\0\0\0\0\xc8\0\0\0\x7d\0\0\0\x10\x02\0\0\x02\x98\0\0\xe8\0\0\0\x7d\0\0\
\0\x41\x02\0\0\x01\xa4\0\0\x10\0\0\0\x55\x02\0\0\x01\0\0\0\x08\0\0\0\x0e\0\0\0\
\x43\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xad\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x81\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9f\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\x0f\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x07\0\0\0\0\0\0\x3c\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

#endif /* __TEST_CORE_RETRO_SKEL_H__ */
